###############################################################################
#	Filename:	PositronTorpedo.py
#	
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Script for filling in the attributes of positron torpedoes.
#	
#	Created:	11/3/00 -	Erik Novales
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a positron torpedo.
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero
###############################################################################
def Create(pTorp):
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(174.0 / 240.0, 73.0 / 54.0, 0.0 / 155.0, 1.000000)
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(65.0 / 255.0, 82.0 / 255.0, 255.0 / 255.0, 1.000000)
	kFlareColor = App.TGColorA()
	kFlareColor.SetRGBA(174.0 / 240.0, 73.0 / 54.0, 0.0 / 155.0, 1.000000)

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/TorpedoCore.tga",
					kCoreColor, 
					0.10,
					0.2,	 
					"data/Textures/Tactical/TorpedoGlow.tga", 
					kGlowColor,
					0.10,	
					0.155,	 
					0.155,	
					"data/Textures/Tactical/TorpedoFlares.tga",
					kFlareColor,										
					15.0,		
					0.3,		
					0.3)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.6)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.POSITRON)

	return(0)

def GetLaunchSpeed():
	return(15.0)

def GetLaunchSound():
	return("Photon Torpedo")

def GetPowerCost():
	return(1.0)

def GetName():
	return("omicron")

def GetDamage():
	return 4000.0

def GetGuidanceLifetime():
	return 200.0

def GetMaxAngularAccel():
	return 2000.0
